import 'package:json_annotation/json_annotation.dart';

part 'complaint.g.dart';

@JsonSerializable()
class Complaint {
  Complaint();

  String id;
  String orderId;
  String externalOrderId;
  String message;
  String type;
  bool isFinalized;
  bool isComplaint;
  String createDate;

  factory Complaint.fromJson(Map<String, dynamic> json) =>
      _$ComplaintFromJson(json);

  Map<String, dynamic> toJson() => _$ComplaintToJson(this);
}
