import 'package:json_annotation/json_annotation.dart';

part 'addressCep.g.dart';

@JsonSerializable()
class AddressCep {
  AddressCep();

  String zipcode;
  String state;
  String city;
  String neighborhood;
  String street;

  factory AddressCep.fromJson(Map<String, dynamic> json) =>
      _$AddressCepFromJson(json);

  Map<String, dynamic> toJson() => _$AddressCepToJson(this);
}
